<?php
/**
*
* @package index.php
* @package cBB Follower Installer
* @version $Id: index.php,v1.0.1 01/04/2013 $
*
* @copyright (c) 2013 CaniDev
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
define('IN_INSTALL', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './../../';
$phpEx = substr(strrchr(__FILE__, '.'), 1);

/* Include installer */
include('./includes/installer.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup();

// Initialize installer
$installer = create_installer();
$installer->setup(array('mods/follower/installer'));

$installer->mod_title		= 'cBB Follower';
$installer->new_version		= '1.0.1';
$installer->required_phpbb	= '3.0.8';

// Main files
$installer->assign_files(array(
	'constants'			=> $phpbb_root_path . 'follower/includes/constants.' . $phpEx,
	'schema_install'	=> './schemas/schema_install.' . $phpEx,
	'schema_update'		=> './schemas/schema_update.' . $phpEx,
));

/* Values to obtain installed version */
$installer->version_key		= 'fwr_version';

/* Global MOD ID in the canidev web */
$installer->mod_id = 'cbb-follower';

/* Have documentation? */
$installer->load_doc = true;

/* Define installer logo */
$installer->logo = generate_board_url() . '/follower/images/cbb-follower-logo.png';

/* Initialize */
$installer->load();
?>
