<?php
/**
*
* @package install_install.php
* @package cBB Follower Installer
* @version $Id: install_install.php,v1.0.1 01/04/2013 $
*
* @copyright (c) 2013 CaniDev
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
*/
if(!defined('IN_PHPBB') || !defined('IN_INSTALL'))
{
	exit;
}

/**
* Installation
* @package install
*/
class install_install extends installer
{
	var $subs = array('requirements', 'install', 'final');

	function main()
	{
		global $user, $phpbb_root_path, $phpEx;

		switch ($this->sub)
		{
			case 'requirements':
				$this->page_title = 'REQUIREMENTS';
				$this->check_server_requirements();
			break;
			
			case 'install':
				$this->page_title = 'INSTALL';
				
				include($this->package_files['schema_install']);

				$checks = array(
					array('legend1',	'INSTALL_RESULTS'),

					array('DATABASE',		false, $this->insert_tables()),
					array('MODULES',		false, $this->insert_modules()),
					array('PERMISSIONS',	false, $this->insert_permissions()),
					array('SYNC',			false, $this->call_custom_function('sync_userdata')),
				);
				
				// Check if and error occurs
				if($this->build_checks($checks, 'INSTALL'))
				{
					$this->buttons['_final'] = 'NEXT_STEP';
				}
			break;

			case 'final':
				$this->page_title = 'INSTALL_CONGRATS';

				// clear cache
				$this->umil->cache_purge();

				$this->assign_vars(array(
					'BODY_TITLE'	=> 'INSTALL_CONGRATS',
					'S_NOTICE'		=> array('INSTALL_CONGRATS_EXPLAIN', $this->mod_title, $this->new_version),
				));
				
				$this->buttons['link2'] = array('LOGIN', append_sid($phpbb_root_path . 'adm/index.' . $phpEx, 'i=follower&amp;mode=config', true, $user->session_id));
			break;
		}

		$this->assign_vars('S_TITLE', 'INSTALL');
	}

	/**
	* Checks that the server we are installing on meets the requirements for running the mod
	*/
	function check_server_requirements()
	{
		global $phpbb_root_path, $phpEx;
		
		$checks = array();

		$this->assign_vars(array(
			'TITLE'		=> 'REQUIREMENTS_TITLE',
			'BODY'		=> array('REQUIREMENTS_EXPLAIN', $this->mod_title),
		));

		$passed = array('mod' => false);

		$checks[] = array('legend1', 'REQUIRED_CHECKS');

		// Check the mod
		if(file_exists($phpbb_root_path . "follower/includes/constants.$phpEx"))
		{
			$passed['mod'] = true;
		}

		$checks[] = array('MOD_CLASS', false, $passed['mod']);
		
		$checks[] = array('legend2', 'OPTIONAL_CHECKS');

		// Check phpbb version
		$checks[] = array('PHPBB_VERSION', $this->required_phpbb, (version_compare(PHPBB_VERSION, $this->required_phpbb, '>=') ? true : false));

		$this->build_checks($checks);
		
		if(in_array(false, $passed))
		{
			$this->buttons['_requirements'] = 'TRY_AGAIN';
			$this->assign_vars('S_ERROR', 'REQ_INSTALL_ERROR');
		}
		else
		{
			$this->buttons['_install'] = 'INSTALL_START';
			$this->assign_vars('S_NOTICE', 'REQ_INSTALL_NOTICE');
		}
	}
}
?>