<?php
/**
*
* @package install_overview.php
* @package cBB Follower Installer
* @version $Id: install_overview.php,v1.0.1 01/04/2013 $
*
* @copyright (c) 2013 CaniDev
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/

/**
*/

if(!defined('IN_PHPBB') || !defined('IN_INSTALL'))
{
	exit;
}

/**
* Main Tab - Installation
* @package install
*/
class install_overview extends installer
{
	var $subs = array('welcome');

	function main()
	{
		global $user, $config, $phpbb_root_path, $phpEx;

		$this->page_title	= 'WELCOME';
		
		// Get the mode buttons
		$is_installed = $this->get_installed_version($current_version);
		
		$this->buttons['link1'] = array('FORUM_INDEX', append_sid("{$phpbb_root_path}index.$phpEx"));

		if(!$is_installed)
		{
			$this->buttons['install'] = 'INSTALL';
		}

		if($is_installed && version_compare($current_version, $this->new_version, '<'))
		{
			$this->buttons['update'] = 'UPDATE';
		}
		
		$this->buttons['uninstall'] = 'UNINSTALL';
		
		$this->hidden_fields['allowed_modes'] = array_merge(array('overview'), array_keys($this->buttons));
	
		$checks = array(
			array('legend1', 'VERSION_INFO'),
			array('VERSION_INSTALLED', (($is_installed) ? $current_version : $user->lang['NOMOD']), 'NEUTRAL'),
			array('VERSION_PACKAGE', $this->new_version, 'NEUTRAL')
		);
		
		if(($latest_version = $this->lastest_version_info()) !== false)
		{
			$checks[] = array('VERSION_LATEST', $latest_version, true);
		}
		
		$this->build_checks($checks);
		
		$this->assign_vars(array(
			'BODY_TITLE'	=> array('OVERVIEW_TITLE', $this->mod_title, $this->new_version),
			'BODY'			=> array('OVERVIEW_BODY', $this->mod_title),
		));
	}
}
?>
